# -*- coding: utf-8 -*-
# (Copyrights at the end of file)
"""
Convertie un fichier formaté sous la forme de lignes :
    F01;Buisson David;Agnès AHIBO;Lucas Pierrick
vers
    F01;Buisson David
    F01;Agnès AHIBO
    F01;Lucas Pierrick

Note : certains champs nécessites un posttraitement car il contiennent des
       guillemets, des parenthèses et autres.
"""

import fileinput

for line in fileinput.input():
    company, drop, people = line.partition(';')
    people = people.split(';')
    for person in people:
        print ';'.join([company, person])

##############################################################################
#
#    Original Module for OpenERP, Open Source Management Solution
#    Copyright (C) 2014 TeMPO CONSULTING (<http://tempo-consulting.fr>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
